Features

SuperCool PIM is a powerful personal information manager. Every user has his own contact info, diary, note & plan and password protection. It's also possible to share your information with other users. All contact info can be previewed and printed in different styles.

· Supports multi-user. Every user has his own contact info, diary, note & plan and password protection. You can also create several database files for different needs and store them in different locations.

· Gives you an easy and low cost network solution for sharing your information simultaneously with everyone in your work group in local network! No Server Needed!

· Built-in powerful and WYSIWYG editor. It can use the wide variety of tools such as text, graphics, OLE object and rich text to edit diary and note & plan.

· Manages customer's information such as name, address, phone, email, etc with database, and photo can also be included into contact info. You can easily add, edit, delete the contact info.

· Provide a powerful searching function.

· Supports filtering contacts by name in alphabetical order and category option

· Supports user-defined categories

· Provides preview and printing contact info in many styles, such as List, Envelope, Details, etc.

· Imports address book records from text file and export address book to text file.

· vCard files are electronic business cards, supported by many address book products. The contact manager complete support for vCard files.

· Supports mass emails and mail merge function. It can send emails with customer's appellation to every person selected.

· Supports backup and restore database function, Hundreds of addresses, e-mails or phone numbers you collected over the year will not get lost.

Homepage: http://www.supercoolbookmark.com/pim/index.html

Support: support@supercoolbookmark.com or sales@supercoolbookmark.com


System Requirements

SuperCool PIM system requirements are:

· Windows 98, Windows Me, Windows NT, Windows 2000 or Windows XP.

· Microsoft Internet Explorer 5.0 or higher.

· PII CPU or higher, 64M memory or more.

· 5MB disk space


What's New

· 2004/12/20: SuperCool PIM V1.00 released
1. SuperCool PIM is a powerful contact management application.


User Management

SuperCool PIM is a multi-user information manager. Different users can login the same database file with different user ID and different user access.

There are 2 types of access:

Admin User: Create, modify or delete user accounts, and change his own password

Normal User: Change his own password.

Login
You should login SuperCool PIM before you can manage your personal information. In Login window, Choose a user name, input login password (if it exists), click Login button to login SuperCool PIM.

Logout
After Login, if you want to logout, please click User Management button to select Logout item from pop menu.

Create a New User
Login SuperCool PIM as Admin user, click User Management button to select Create User item from pop menu, you can input a new user name in Create User window then click Apply button to save. The initialized password for the user is blank, you can change password later. Note: All new users you created are normal user, there is only one Admin user in your system.

Rename User
Login SuperCool PIM as Admin user, click User Management button to select Rename User item from pop menu, select an existing user name in Rename User window, then rename it.

Delete a User
Login SuperCool PIM as Admin user, click User Management button to select Delete User item from pop menu, select an existing user name in Delete User window, then delete it. when you delete a user, all data belonging to that user will be deleted too.

Change Password
Click User Management button to select Change Password item from pop menu to open change password, then input corresponding content (If the older password is blank, don't input any character in that edit box), finally click Apply button. Note: every user include Admin user only change itself password, and the password is sensitive to lower case and upper case letters.


Using Database File

SuperCool PIM saves all the contact info you create in a Access database file on your computer. This file name is PIM_Database.mdb. When you run SuperCool PIM for the first time, SuperCool PIM will ask you to choose a folder to create a new database and store in it. You can copy and move your database file to another location on your hard disk, or to a floppy disk, or to a share on the network. But remember that you must have at least "read" permission to open the database files from a network share. When SuperCool PIM starts up it will automatically load the last database you had opened next time.

Create a New Database
You can create as many databases as you need. After login, click User Management button and select Login item from pop menu to open Login window, then click Create a New Database button to open choose folder window and select a folder to store new database. The database file name is PIM_Database.mdb. There is only one database file in one folder.

Open an Existing Database
SuperCool PIM supports multi-user access to a database file over the network. One user may have multi-database. To open an existing database, when Login window is displayed, you can click Select an Existing Database button to open the Folder Dialog box and select a folder where database file store in, then click login button to enter system. If you are already login, you can click User Management button and select Login item from pop menu to open Login window.

Backup Database
To backup all the users' data include address, diary and not & plan in database, click Menu button and select Backup Database item from pop menu to open a file dialog box, input a new file name in the file Dialog box, the default extended filename is '.zip', finally click Save button to execute backup operation.

Restore Database
To restore all the users' data include address, diary and not & plan in database, click Menu button and select Restore Database item from pop menu to open Restore window, then select ZIP backup file and a folder which database backup file will restore to. If you wish to overwrite current database which you are using, please check Restore ZIP backup File to Current Database Folder box. Finally click Restore button. Note: Only Admin user can execute this operation.

Compact Database
If you delete records again and again, you should lanuch Compact Database command by clicking Menu button in main tool and selecting Compact Database item from pop menu to shrink it


Getting Started

SuperCool PIM is a powerful contacts management application.

Switch to Address Book tab

1. When you run SuperCool PIM for the first time, SuperCool PIM will ask you to choose a folder to create a new database and store data in it.

2. Login system as Admin, create your user name, then login system as your user name and change password.

3. To add a new contact info, click New Contact button in main tool bar

4. To edit contact info, click Edit Contact button in main tool bar

5. To search contact info, type a string in edit box in main tool bar ,then press Enter keyboard.

6. To preview or print contact info, please click Preview & Print button in main tool bar.

7. To import contact info from other program, click Menu button and select Import item from pop menu.


Organizing Contact Info

Each contact is listed as a single row in the Address List area, and the details of the selected address is displayed in the Details Window.

Creating a New Contact Info
Click New Contact button on main tool bar to open New Contact window, enter the information you want for the contact. Switch between the tabs to enter any additional information.

General Tab: Here you can enter the main information for the contact such as First, Middle or Last name. The software automatically creates a "Full name" field, based on the information in the First, Middle, Last name. Contact can be only assigned to one category. Category List is list of categories you can use to group and find contacts. This list contains general categories such as Business, Personal, etc. You can add category by typing it directly in edit box. To select photo or picture for the contact click Select Image button. If you wish public the contact to other users, don't check Private box.

Business Tab: Here you can enter the business-related information for the contact including job information, business address, phone numbers and e-mails. Web page also can be specified. If you check Default button near the address fields, business address will be treated as Default address for this contact.

Home Tab: Here you can enter the home-related information for the contact including home address, phone numbers, e-mails... If you check Default button near the address fields, home address will be treated as Default address for this contact.

Edit an Existing Contact Info
Locate the contact info you want to edit in grid list, then click Edit Contact button in main tool bar to open Edit Contact window, edit the information,finally click Save button to save.

Delete Contact Info
To delete contact info, left-click the contact info to select it or Ctrl+click contacts to select multi-contact in grid list, then click Delete Contacts button in the tool bar, the currently selected contacts will be deleted, the confirm message box will be displayed before deleting.

Organizing Contact Info
When you have a large address book, you can organize it in several ways to make it easy to access contacts.

Name Filtering: You can filter contact info alphabetically by name using Alphabet Bar (Such as A, B, C...) on the left side of the main window. Just press any character from the bar and the contact list will be re-created to show the contacts with names starting from this character. To list all the contacts in the current book, click All button at the bottom of the alphabet bar.

Category Filtering: Click Category button on main tool bar to open Category window, if you wish the contact info in that category be displayed in grid list, please check that category.

Launching WebPage & Email

If you have filled the "Business web page" or "Home web page" field of the contact Info, you can quickly browse to that page by clicking "Go" button placed to the right of the field in the Contact properties dialog.

You can use SuperCool PIM to start your system's e-mail client and send an e-mail. To send email simply, double-click a email address edit box such as Business Email 1, Business Email2, Home Email 1 etc. to open system default email client, fill in correspond content, then send it.


Searching Contact Info

There are two ways to search a contact info

Quick Search: Type a string in edit box in main tool bar, then press Enter keyboard or click Go button near the edit box, The system will search that string in First, Middle, Last name field, finally the contact info whose name including that string will be displayed in grid list.

Advance Search: Click Advance Search button in main tool bar to open Advance Search window, type a string to be found in edit box, and select a logic operation option such as Include, Exclude and Equal, then check fields you want to search, finally click Search button to search.


Preview & Print Contact Info

To preview or print contact info, click Preview & Print button in main tool bar to open Preview & Print window, select searching range by clicking a item in left-top list box, then select a report style by clicking a item in left-bottom list box, the preview result will be displayed in right panel. If you wish to print it, please click Print button in tool bar.


Sending Mass Emails

To send emails to all customers records selected, click the [image] button in main tool bar to open Sending Mass Emails window. In the window, input your email account information in first page, and click Next button to select contacts range by clicking a item in drop-down list box, and check included emails which you want to send to in list box, then and click Next button to input contact, such as subject, attachments, etc. , finally click Send button.


Import & Export Contact Info

Import and Export is the process of exchanging data between applications. The advantage of import and export data is that it saves you from having to manually re-enter data you need.

Import Contact Info

Import Contact Info from Text File: To import data in a text file, such as CSV format text file which can be used with a wide variety of software. Include Microsoft Excel, Microsoft Outlook, etc. You need export the contact info from your other application to a tab- or comma-delimited text file. To learn how, see the documentation for that program. Imported files contain separated text strings that correspond to contact fields, i.e. Last Name, First Name, Phone Number, etc. Most database and spreadsheet programs are capable of producing text files containing their record information in separated fields.

In SuperCool PIM, contact information is stored in fields. Each field can contain only one type of information. For example, a contact's last name is stored in the Last name field. When SuperCool PIM imports contact info from a text file, it matches the field names in the text file to those in SuperCool PIM. Only when the field names match can information be placed in the correct fields.

When you import contact info from a text file that contains field names that do not match SuperCool PIM field names, you must show SuperCool PIM how field names in the file you are importing correspond to field names in database. This process is called fields-mapping.

Click Menu button to select Import item from pop menu, and open Import contacts window, then select a filename by clicking File Dialog box button, the records will be displayed in grid, then click Next button to open the match fields window, The fields in Source Database must match the fields in Target Database, you can click [image], [image], [image] icon to up, down field or delete selected fields, in order to refill all fields, click [image] button. Finally click Finish button to import records.

Import Contact Info from vCard File: vCard files are electronic business cards, supported by many address book products. vCard format can be used with a wide variety of digital devices and operating systems. To import contact info from vCard files, click Menu button in main tool bar to select Import from vCard File item from pop menu, and select one or serveral vCard files from file dialog box, then click OK button to import.

Export Contact Info

Export Contact info to Text File: SuperCool PIM can export contact info into a text file so they can be used by some other application program. The entire database does not need to be exported. You can export only selected contacts. The Export command can be used very effectively to share your contact database with other applications or exchange data between different copies of SuperCool PIM.

Click Menu button to select export item from pop menu, and open Export contact info window, select a file name to save, then select export range from drop-down list, then select fields to be exported, finally click Finish button to export records.

Export Contact info to vCard File: To export contact info to vCard file, left-click the contact info to select it or Ctrl+click contacts to select multi-contact in grid list, then click Menu button in main tool bar to select export vCard item from pop menu to open Export to vCard window, select a folder where vCard will be exported from the Folder Dialog, then select Export All the Records item or Export the Selected Records item in Range box, finally click export button.

Note: Photo can't be imported and exported!


Getting Started

You can write down your diary with SuperCool PIM.

Switch to Diary tab

1. To add a new diary, select a date from calendar in left-top panel, then click New Diary button in main tool bar

2. To edit a diary, click Edit Diary button in main tool bar

3. To print diary, click Print button in main tool bar.

4. To export diary, click Export button in main tool bar.


Organizing Diaries

New Diary
To create a new diary, select a date from calendar in left-top panel, and click New Diary button into edit status, a edit tool bar will be displayed. You can also double-click a date in calendar into edit status.

The diary support rich text format text, so you can edit the text freely as you wish, you can insert Pictures or Objects into your diary, you can also import plain or rich text file into diary by clicking Insert menu. Finally click Save button in main tool bar to save it. You can create several diaries for a same date.

Edit Diary
To edit a diary, select a diary by clicking calendar in left-top panel, and click Edit Diary button into edit status, then modify diary, finally click Save button in main tool bar to save it.

Delete Diary
To delete a diary, select a diary in right panel, then click Delete button in main tool bar to delete it. You can also select diary by clicking diary tree node in left-bottom panel, then right-click it to select Delete Diaries item from pop menu, the several diaries can be deleted at one time.

Print Diary
To print a diary, select a diary by clicking calendar in left-top panel, and click Print button in main tool bar to print.

Organizing Diaries
When you have a large diary, you can organize it to make it easy to access.
Category Filtering: Click Category button on main tool bar to open Category window, if you wish the diaries in that category to display in grid list, please check that category.


Import & Export Diary Content

The diary support rich text format file, in order to import plain text or rich text file into diary, please enter edit status by clicking New Diary or Edit Diary button in main tool bar, and select Import Text item by clicking Menu button in edit tool bar.

To export diary to rich text file, click Export button in main tool bar to open file dialog, and type a file name then click Save button to save it.


Getting Started

You can write down your note & plan with SuperCool PIM.

Switch to Note & Plan tab

1. To add a new note, click New Note button in main tool bar

2. To edit a note, click Edit Note button in main tool bar

3. To print note, click Print button in main tool bar.

4. To export note, click Export button in main tool bar.


Organizing Note & Plan

New Note & Plan
To create a new note or plan, click New Note button in main tool bar into edit status, a edit tool bar will be displayed.

The Note & Plan support rich text format text, so you can edit the text freely as you wish, you can insert Pictures or Objects into your note, you can also import plain and rich text file into note by clicking Insert menu. Finally you can click Save button in main tool bar to save it.

Edit Note & Plan
To edit a note, select a note by clicking record grid list in top panel, and click Edit Note button into edit status, then modify note, finally click Save button in main tool bar to save it.

Delete Note & Plans
To delete Note & Plans, left-click the record in top record panel to select it or ctrl+click notes to select multi-note, then click Delete Note button on the tool bar, the currently selected notes will be deleted, the confirm message box will be displayed before deleting.

Print Note & Plan
To print a Note, select a note by clicking record grid list in top panel, and click Print button in main tool bar to print.

Organizing Note & Plans
When you have a large note, you can organize it to make it easy to access.
Category Filtering: Click Category button on main tool bar to open Category window, if you wish the notes in that category to display in grid list, please check that category.


Import & Export Note Content

The note & plan support rich text format file, in order to import plain text or rich text file into note, please enter edit status by clicking New Note or Edit Note button in main button bar, and select Import Text item by clicking Menu button in edit tool bar.

To export note to rich text file, click Export button in main tool bar to open file dialog, and type a file name then click Save button to save it.


Purchasing Information

You may try the evaluation version of SuperCool PIM 30 times free of charge. To continue using it after the trial period expires, you must pay the registration fee.

Why buy the program license?

· Free upgrades to future versions
· Free 24h technical e-mail support
· No more nag-screens
· Higher priority when suggesting features

How to buy the license?

There are 2 basic types of licenses issued for the software, these are:

1. Single computer license: The user purchases ONE license (copy) to USE the software on ONE computer, TWO licences ( copies) to USE the software on TWO computers, and so on.

2. Site license: The user purchases a site license, authorizing the USE of the software, by the purchaser, the purchaser's employees or accredited agents, on an unlimited number of computers at the same physical SITE location. This SITE location would normally be defined as a single building, but could be considered to be a number of buildings within the same, general, geographical location, such as an industrial estate or small town.

You can register our products online through secure server with Visa, Mastercard, Eurocard, American Express or Discover credit cards. If you prefer not to order online, or you do not have a credit card, you can order by Check/Money,Fax or Phone, for the details, please refer to the web site http://www.supercoolbookmark.com/pim/index.htm

How to get it?

· If you select Full Version Download in Delivery Options during online purchase, a full version download link will be emailed to you within 24 hours.

· If you select CD-ROM in Delivery Options during online purchase, a CD-ROM will be shipped the same day with additional $9.95.


License agreement

Notice to users: Carefully read the following legal agreement . Use of SuperCool PIM software provided with this agreement constitutes your acceptance of these terms. If you do not agree to the terms of this agreement, do not install and/or use this software. user's use of this software is conditioned upon compliance by user with terms of this agreement.

· This products is distributed under a shareware license. That means that you can download the program for free and try it before purchasing (unregistered versions have some limitations). You are licensed to make as many copies of the unregistered software as you wish, and distribute the unregistered software via electronic means (internet, BBS's, shareware distribution libraries, CD-ROMs , etc ) during your granted free use of the software. Distribution of the registered software is forbidden.

· You may not modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on the software.

· The software is distributed "as is". No warranty of any kind is expressed or implied. You use at your own risk. Neither the author nor the agents of the author will be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.


FAQs

Frequently Asked Questions

· What's difference between evaluation version and full version ?
A: The evaluation version of SuperCool PIM can be only used 30 times free of charge and only 30 records can be added.

· How do I share my information with LAN users?
A: In the user login window, you can set the user data location to a network folder, then you can login the same way you would login as a local user. Several people can login as the same user at the same time. For example:
a) In 'ComputerA', in SuperCool PIM login window, set the SuperCool PIM database folder location as 'C:\My documents\wpdata', then create a new user and login.
b) In 'ComputerA' Windows Explorer, share 'c:\my documents\wpdata' folder as Full Access.
c) In 'ComputerB', set the Database location as '\\ComputerA\c\my documents\wpfolder' and choose a user to login.


SuperCool Calendar

SuperCool Calendar - Scheduling tool with calendar, alarm and reminders. Ever felt that you have problems managing your time? With SuperCool Calendar on your Windows desktop this will never be a problem again. No more missed meetings or birthdays, no more unnecessary stress because of bad planning. Get more freedom and feel more relaxed by simply knowing when to do things. Don't let time control you - you control time. Please view screenshot.

1. Alarm: Define any number of hard-to-remember events and the desktop calendar will alarm you when the time arrives. All kinds of things can be scheduled like: birthdays, anniversaries, meetings, dates, TV programs, etc. One-time and recurring events may be arranged with ease, and the rescheduling frequency can be defined by days, weeks, months or years. Events can be also repeated on a particular day of the week in a given month or in every month.

2. Limitless layers: You can have limitless layers with different colors that represent a calendar with independent settings. In this way you can have different layers for different types of events and you can control the layers you want visible at any one moment.

3. Powerful search: The events can easily be found in many ways, such as period defined, whether archived or not, text included in subject, content or note, and more.

4. Preview and Print: Preview and print the calendar grid; the font size and the scale of paper can be set.

5. Backup and Restore: You can backup all the events and settings to a zip file, and restore it when your PC crashes. You can also share the calendar with friends and others.

6. Tray icon: The daily planner puts, if you want, an icon in the system tray. This is good if you want the program to always be running, which is necessary if you are using alarms.

Homepage: http://www.supercoolbookmark.com/calendar/index.html


SuperCool Bookmark

SuperCool Bookmark is a powerful bookmark organizer and web form filler that can collect,organize,browse and search bookmarks or email address,and fill in web form. Features:

· Support multi-user. Every user has his own bookmarks and password protection.

· Add,search,browse bookmark from any running IE browser by a tool bar.

· Provide you with a powerful searching function. The local bookmarks may be found by any of the following ways: (i) text included in title,content or description;(ii)number of times a bookmark is visited; (iii)whether subscribing or not. It can also search duplicate bookmarks. SuperCool Bookmark can carry out built-in internet search engine function that will allow you to search the internet using multiple search engines.

· Provide two types of bookmark interfaces (Menu-Type and Page-Type).You can select from the two interfaces to browse the Internet according to your specific desires.

· Easily add new bookmarks. The URL or Email address in IE window may be easily added to SuperCool Bookmark without any manual input from the user.

· Support multiple sorting methods, such as according to title, site rating, and number of times a bookmark is visited.

· Fill in easy web forms by Drag & Drop method.

· Open all the websites subscribed once after login, and display most recently visited bookmarks in Search Result or IE window

· Offers backup,restoring,import and export functions.

Homepage: http://www.supercoolbookmark.com


SuperCool ZIP Backup

SuperCool ZIP Backup is a PC backup, restore and file synchronization system. Any drive can be used to store the backup files in standard ZIP format that can be transferred online to a remote computer by FTP or Email. It can also compare and synchronize files or folders.

1. Backup files can be stored in standard Zip format, so they can be operated with any Zip compression tools.

2. Supports PKZip Zip64 format, uncompressed, compressed, and archive file sizes can be up to 2^63-1 bytes in length (over 8,000,000,000 gig).

3. Supports inclusion and exclusion of files by wildcard mask as well as by exact file name. So new files, matching an entered mask, will be included to or excluded from new backups without any problem.

4. Supports two backup methods:full backup and incremental backup.

5. Supports backup of several folders and files at a time.

6. Supports backup of files newer than specified date-time only.

7. Online backup, supports FTP, all types of LAN and UNC file path names (Network folder selection dialog).

8. Filename can be auto created for every backup. A maximum backup versions number can be set, the oldest backup versions can be auto deleted.

9. Support disk spanning, span backup files across multiple removable disks.

10. Compare and synchronize files and folders.

11. Automatic scheduled backups with complete scheduling options.

12. Easy to browse, add and delete files in Zip backup archives.

13. Backup files can be protected with a password.

14. Comment can be added to backup files.

15. Supports Windows 95, Windows 98, Windows ME , Windows NT, Windows 2000 and Windows XP.

Homepage: http://www.supercoolbookmark.com/zipbackup/index.html


SuperCool Office Assistant

SuperCool Office Assistant manage customer's information with database, It can design and print reports such as envelopes, labels, notes, letters and business card for every customer in the database, and send emails to every customer. It can also design and print report even for other database. Features are:

· Manages customer's information such as name, address, phone, email, etc. You can easily add, edit, delete,and copy the records.

· Build-in search engine. The customers can be easily selected in accordance with search condition.

· Stores report and email in database. You can easily add, edit, delete and copy it. You can also use it as a template to design a new report or email.

· Built-in powerful and easy-to-use designer, It can use the wide variety of tools such as text, graphics, shape, barcode, shadow, line, OLE object, chart and rich text to design reports.

· Supports Drag and Drop. What you see is what you get.

· Support preview function. The report to be printed can be displayed in the preview window similar to MS Word preview.

· Full control over the printing process; supports all paper sizes.

· Supports multiple print layout, such as a serial page for all the customer, new page for every customer, multi-copy in s single page.

· Customize report for other database such as dBASE, Paradox, Access, ASCII txt, Excel, and preview or print the report.

· Supports mass email. It can send emails with customer's appellation to every customer selected.

· Imports customer records from dBASE, ASCII txt, Access, Excel, Paradox database.

· Export customer records to dBASE, ASCII txt, Excel database.

· Supports backup and restore database.

Homepage: http://www.supercoolbookmark.com/envelopeprinter/index.html


SuperCool Window Washer

SuperCool Window Washer protects your privacy by cleaning up all the tracks of your Internet and computer activities. Maybe you don't realize that Windows and other software programs store information about what you have done, what documents you have used, what web sites you have visited, what image and movies you have seen, and various other activities you have performed. Therefore, anyone else can see what you have been doing on you computer. SuperCool Window Washer can clean up your browser's cache, history, cookies, typed URLs, visited URLs, auto completed form, auto completed password, run history, search history, recent documents, evidences of past Windows activity, and more.

1.Clean the tracks of your activities completely

Erase Internet Explorer cache files.

Erase Internet Explorer cookies

Erase Internet Explorer visited URLs

Erase Internet Explorer typed URLs

Erase Internet Explorer visited history

Erase Internet Explorer auto completed forms

Erase Internet Explorer auto completed password

Erase Internet Explorer auto completed URLs

Erase Internet Explorer index.dat files

Erase Internet Explorer menu items

Erase Internet Explorer toolbar buttons

Erase Internet Explorer favorite items

Support popular browsers Netscape, AOL, Opera and Msn Explorer

Erase popular applications recently using tracks, like Ms Office, WinZip, ACDSee, RealPlay, Windows Media Player, etc.

Erase Windows recent documents history

Erase Windows run history

Erase Windows Recycle Bin

Erase Windows Clipboard

Erase Windows search files history

Erase Windows search computer history

Erase Windows download

Erase user custom folder/file and registry entry

2. Supports preview before washing files or registry entries.

3. Custom washer items. Using this feature you can add your own files, folders or registry entries.

4. Support Plugin. Using this feature you can clean any application log files, recent files, etc. and distribute to other users.

5. Automatically schedule washer with complete scheduling options

6. Secure erasing. Using this feature no one can recover your Internet tracks

7. Free disk space by erasing unnecessary files and registry entries.

8. Speed up your surfing experience and computer speed.

Homepage: http://www.supercoolbookmark.com/washer/index.html


SuperCool Random Number Generator

A random sampling, random number generator and random selection software utility. Generate a single set of random numbers from a range. Create random passwords, phone numbers, IDs. Create random alpha-numeric or all numeric text strings. Generate random bytes file in any interval you want. Create random names using data from the US Census. Random sampling from list items which can be loaded from TXT file or added manually one by one. This randomizer can be used in a wide variety of situations, including psychological experimentation, medical trials, games such as dice games, generation of cryptographic keys, some classes of scientific experiments and survey research.

1. Generate random numbers in the range from -2,147,483,647 to 2,147,483,647

2. Generate random data items using a format mask, such as telephone numbers, passwords, email address and etc.

3. Generate random bytes file in any interval you want. The format is purely binary without formatting characters of any sort.

4. Random sampling from list items which can be loaded from TXT file or added manually one by one. You can use the random raffle ticket software to determine the winner of a raffle.

5. Generate male and female names randomly by using data from the US Census.

6. Specify digits to exclude from output

7. Optionally display with or without commas: 1,323 or 1323

8. Display results in order generated or sort numerically

9. Save results to a text file

Tab delimited or Comma separated

Save all numbers as a single record (one line of text)

Save all numbers by number of columns

Add results to existing text file

10. Print by user specified number of columns

Homepage: http://www.supercoolbookmark.com/random/index.html